<script lang="ts">
import Vue from 'vue';
import { SlpColumn } from '../common/index.vue';

export default Vue.extend({
  name: 'EnterpriseFeatureList',
  components: {
    SlpColumn,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="feature-list slp-my-64">
    <SlpRow class="slp-mb-24">
      <SlpColumn class="feature-list-header" :cols="8">
        <img :src="data.icon" alt="" />
        <SlpTypography tag="h2" variant="heading2" class="slp-mb-8">{{
          data.title
        }}</SlpTypography>
        <SlpTypography tag="p" variant="body1" class="slp-mb-24">{{
          data.subtitle
        }}</SlpTypography>
      </SlpColumn>
    </SlpRow>
    <SlpRow class="slp-justify-content-center">
      <SlpColumn
        v-for="feature in data.features"
        :key="feature.title"
        class="feature"
        :cols="5"
      >
        <a
          class="feature__link"
          :href="feature.url"
          :data-ga-name="feature.data_ga_name"
          :data-ga-location="feature.data_ga_location"
          target="_blank"
        >
          <div :class="{ inner_icon: data.inner_icon }">
            <img class="feature__icon" :src="feature.icon" alt="" />
            <SlpTypography tag="p" variant="body1" class="feature__title">{{
              feature.title
            }}</SlpTypography>
          </div>
          <SlpTypography
            tag="p"
            variant="body1"
            class="feature__description slp-text-base slp-my-16"
            >{{ feature.description }}
          </SlpTypography>
          <ul
            v-for="subfeature in feature.subfeatures"
            :key="subfeature.title"
            class="feature__subfeatures"
            :class="{ 'remove-bullet-points': feature.remove_bullet_points }"
          >
            <li class="feature__subfeature slp-text-base slp-my-16">
              <a
                v-if="subfeature.url"
                :href="subfeature.url"
                :data-ga-location="subfeature.data_ga_location"
                :data-ga-name="subfeature.data_ga_name"
                class="link"
              >
                {{ subfeature.title }} →
              </a>
              <SlpTypography v-else variant="body1"
                >{{ subfeature.title }}
              </SlpTypography>
            </li>
          </ul>
          <SlpTypography
            v-if="feature.url"
            tag="p"
            variant="body2"
            class="feature__textlink slp-py-16"
            >Learn more →
          </SlpTypography>
        </a>
      </SlpColumn>
    </SlpRow>
  </section>
</template>

<style lang="scss" scoped>
.feature-list {
  position: relative;
  z-index: 1;
}

.feature-list-header {
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}

.link {
  font-weight: 600;
  font-size: 14px;
  line-height: 20px;

  &:hover {
    color: #7225ba;
  }
}

.feature {
  padding: $spacing-32;
  margin: $spacing-16;
  background-color: $color-surface-50;
  border-radius: 4px;
  border: 1px solid #f2f2f2;

  position: relative;

  &:hover {
    box-shadow: 0px 2px 50px rgba(0, 0, 0, 0.08);
  }

  & .inner_icon {
    display: flex;
    align-items: center;

    img {
      position: static;
      margin-right: $spacing-16;
    }
  }

  &__icon {
    position: absolute;
    top: -$spacing-16;
  }

  &__link {
    color: $color-text-300;
  }

  &__title {
    font-weight: bold;
  }

  &__description {
    margin-bottom: $spacing-16;
  }

  &__subfeatures {
    list-style: disc;
    margin-left: $spacing-16;

    &.remove-bullet-points {
      list-style: none;
      margin-left: 0;
    }
  }

  &__textlink {
    color: $color-secondary-200;
    font-weight: bold;
  }

  &__subfeature {
    margin-top: $spacing-8;
  }

  @media (max-width: $breakpoint-sm) {
    padding: $spacing-24 $spacing-16 $spacing-16 $spacing-16;
    margin: $spacing-16 0;
    box-shadow: 0px 4px 8px rgba(195, 195, 195, 0.25);
  }
}
</style>
